Subject: Re: [bug#78496] [PATCH] gnu: Add sqlitestudio.

From: Philippe SWARTVAGHER <[email-masked]>
Date: Thu, 29 May 2025 14:19:05 +0200

Hi,

Le 28/05/2025 à 23:34, Ludovic Courtès a écrit :
> I recommend running ‘guix style -S arguments sqlitestudio’.

Arf, I only ran `guix style sqlitestudio`. Done.

> Rather (with-directory-excursion "Plugin" …).
> Likewise: (with-directory-excursion "Plugin" (invoke "make")).

Done.

>> +    (synopsis
>> +     "A free, open source, multi-platform SQLite database manager")
> Maybe: “Graphical user interface to browse and edit SQLite databases”?

I just copied/pasted the upstream synopsis. Done.

> 
>> +     database files. It is aimed for people, who know what SQLite is, or what
>> +     relational databases are in general.")
>     ^
> Please remove the extra leading spaces.  Also: two spaces after
> end-of-sentence period, as reported by ‘guix lint’.

Oops, forgot running `guix lint`. Done.

> Could you send an updated patch?

Done, in a separate mail.

Thanks for the review!

Philippe.